Package org.eclipse.emf.cdo.ui.widgets

# Class ComposeBranchPointComposite

java.lang.Object
org.eclipse.swt.widgets.Widget
org.eclipse.swt.widgets.Control
org.eclipse.swt.widgets.Scrollable
org.eclipse.swt.widgets.Composite
org.eclipse.emf.cdo.ui.widgets.ComposeBranchPointComposite

All Implemented Interfaces:
  `Drawable`

public class ComposeBranchPointComposite extends Composite
Composed UI widget offering functionality for users to select `branches` and a `timestamp` within a branch for a particular `CDOSession`

Since:
  4.0
Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

## Constructor Summary

Constructors
Constructor
Description
`ComposeBranchPointComposite(Composite parent, boolean allowTimeStamp, CDOBranchPoint branchPoint)`
`ComposeBranchPointComposite(Composite parent, int style, CDOSession session, CDOBranchPoint branchPoint, boolean allowTimeStamp)`
Deprecated.
As of 4.4 use `ComposeBranchPointComposite(Composite, boolean, CDOBranchPoint)`.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`branchPointChanged(CDOBranchPoint branchPoint)`
`protected CDOItemProvider`
`createBranchItemProvider()`
`protected TreeViewer`
`createBranchViewer()`
`protected SelectBranchComposite`
`createSelectBranchComposite(CDOSession session, CDOBranch branch)`
Deprecated.
As of 4.4 use `createBranchViewer()`.
`protected SelectTimeStampComposite`
`createSelectTimeStampComposite()`
`protected SelectTimeStampComposite`
`createSelectTimeStampComposite(CDOBranch branch, long timeStamp)`
Deprecated.
As of 4.4 use `createSelectTimeStampComposite()`.
`protected void`
`createUI()`
`protected void`
`doubleClicked()`
`CDOBranchPoint`
`getBranchPoint()`
`TreeViewer`
`getBranchViewer()`
`protected Object`
`getBranchViewerInput(CDOBranchPoint branchPoint)`
`SelectBranchComposite`
`getSelectBranchComposite()`
Deprecated.
As of 4.4 use `getBranchViewer()`.
`SelectTimeStampComposite`
`getSelectTimeComposite()`
`CDOSession`
`getSession()`
Deprecated.
As of 4.4 no longer supported.
`boolean`
`isAllowTimeStamp()`
`final void`
`setAllowTimeStamp(boolean allowTimeStamp)`
`void`
`setBranchPoint(CDOBranchPoint branchPoint)`
`protected void`
`timeStampError(String message)`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList, toString`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

## Constructor Details

### ComposeBranchPointComposite

public ComposeBranchPointComposite(Composite parent, boolean allowTimeStamp, CDOBranchPoint branchPoint)

Since:
  4.4

### ComposeBranchPointComposite

@Deprecated public ComposeBranchPointComposite(Composite parent, int style, CDOSession session, CDOBranchPoint branchPoint, boolean allowTimeStamp)
Deprecated.
As of 4.4 use `ComposeBranchPointComposite(Composite, boolean, CDOBranchPoint)`.

## Method Details

### isAllowTimeStamp

public boolean isAllowTimeStamp()

Since:
  4.4

### setAllowTimeStamp

public final void setAllowTimeStamp(boolean allowTimeStamp)

Since:
  4.4

### getBranchPoint

public CDOBranchPoint getBranchPoint()

### setBranchPoint

public void setBranchPoint(CDOBranchPoint branchPoint)

Since:
  4.4

### getBranchViewer

public TreeViewer getBranchViewer()

Since:
  4.4

### getSelectTimeComposite

public SelectTimeStampComposite getSelectTimeComposite()

### getSelectBranchComposite

@Deprecated public SelectBranchComposite getSelectBranchComposite()
Deprecated.
As of 4.4 use `getBranchViewer()`.

### getSession

@Deprecated public CDOSession getSession()
Deprecated.
As of 4.4 no longer supported.

### createUI

protected void createUI()

Since:
  4.4

### createBranchViewer

protected TreeViewer createBranchViewer()

Since:
  4.4

### createBranchItemProvider

protected CDOItemProvider createBranchItemProvider()

Since:
  4.4

### createSelectTimeStampComposite

protected SelectTimeStampComposite createSelectTimeStampComposite()

Since:
  4.4

### createSelectTimeStampComposite

@Deprecated protected SelectTimeStampComposite createSelectTimeStampComposite(CDOBranch branch, long timeStamp)
Deprecated.
As of 4.4 use `createSelectTimeStampComposite()`.

### createSelectBranchComposite

@Deprecated protected SelectBranchComposite createSelectBranchComposite(CDOSession session, CDOBranch branch)
Deprecated.
As of 4.4 use `createBranchViewer()`.

### timeStampError

protected void timeStampError(String message)

Since:
  4.4

### branchPointChanged

protected void branchPointChanged(CDOBranchPoint branchPoint)

### doubleClicked

protected void doubleClicked()

Since:
  4.4

### getBranchViewerInput

protected Object getBranchViewerInput(CDOBranchPoint branchPoint)

Since:
  4.11